Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Interface CharSequence

All Known Implementing Classes:
  CharBuffer, String, StringBuffer

public interface CharSequence

A `CharSequence` is a readable sequence of characters. This interface provides uniform, read-only access to many different kinds of character sequences.

This interface does not refine the general contracts of the `equals` and `hashCode` methods. The result of comparing two objects that implement `CharSequence` is therefore, in general, undefined. Each object may be implemented by a different class, and there is no guarantee that each class will be be capable of testing its instances for equality with those of the other. It is therefore inappropriate to use arbitrary `CharSequence` instances as elements in a set or as keys in a map.

Since:
  1.4

Method Summary
`char` | `charAt(int index)` Returns the character at the specified index.
`int` | `length()` Returns the length of this character sequence.
`CharSequence` | `subSequence(int start, int end)` Returns a new character sequence that is a subsequence of this sequence.
`String` | `toString()` Returns a string containing the characters in this sequence in the same order as this sequence.

Method Detail

### length

    public int length()

  Returns the length of this character sequence. The length is the number of 16-bit Unicode characters in the sequence.

  Returns:
    the number of characters in this sequence

### charAt

    public char charAt(int index)

  Returns the character at the specified index. An index ranges from zero to `length() - 1`. The first character of the sequence is at index zero, the next at index one, and so on, as for array indexing.

  Parameters:
    `index` - the index of the character to be returned
  Returns:
    the specified character
  Throws:
    `IndexOutOfBoundsException` - if the `index` argument is negative or not less than `length()`

### subSequence

    public CharSequence subSequence(int start,
                                    int end)

  Returns a new character sequence that is a subsequence of this sequence. The subsequence starts with the character at the specified index and ends with the character at index `end - 1`. The length of the returned sequence is `end - start`, so if `start == end` then an empty sequence is returned.

  Parameters:
    `start` - the start index, inclusive
    `end` - the end index, exclusive
  Returns:
    the specified subsequence
  Throws:
    `IndexOutOfBoundsException` - if `start` or `end` are negative, if `end` is greater than `length()`, or if `start` is greater than `end`

### toString

    public String toString()

  Returns a string containing the characters in this sequence in the same order as this sequence. The length of the string will be the length of this sequence.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string consisting of exactly this sequence of characters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.